直到前几天使用

pip list

出现

AssertionError

时才发现pip版本是1.5.4版


原因是Ubuntu 14.04 LTS使用apt-get提供的最高版本也就是1.5.4版,而且很显然

pip install --upgrade pip

也是不管用的

所以这里想要升级pip就得手动升级,来自pip文档中的方法:

wget https://bootstrap.pypa.io/get-pip.py
python get-pip.py

这样运行完后pip就是最新版了。


参考:
Installation pip 7.1.2 documentation